logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2018-18455

Description

The GfxImageColorMap class in GfxState.cc in Xpdf 4.00 allows remote attackers to cause a denial of service (heap-based buffer over-read) via a crafted pdf file, as demonstrated by pdftoppm. #### Notes Author| Note ---|--- [jdstrand](<https://launchpad.net/~jdstrand>) | xpdf in koffice is 2.0 [mdeslaur](<https://launchpad.net/~mdeslaur>) | no indication this affects poppler


Affected Package


OS OS Version Package Name Package Version
ubuntu 20.04 ipe any
ubuntu 22.04 ipe any
ubuntu upstream ipe any
ubuntu 14.04 ipe any
ubuntu upstream ipe any
ubuntu 16.04 ipe any
ubuntu 20.04 libextractor any
ubuntu 22.04 libextractor any
ubuntu upstream libextractor any
ubuntu 14.04 libextractor any
ubuntu upstream libextractor any
ubuntu 16.04 libextractor any
ubuntu upstream poppler any
ubuntu 22.04 xpdf any
ubuntu upstream xpdf any
ubuntu 14.04 xpdf any
ubuntu 16.04 xpdf any

Related